#include "AccumulativeTimer.h"
#include "GLFW/glfw.h"

AccumulativeTimer::AccumulativeTimer()
{
    elapsedTime_ = 0.0;
}

void AccumulativeTimer::Stop()
{
    stopTime_ = glfwGetTime();
    elapsedTime_ += stopTime_ - startTime_;
}

void AccumulativeTimer::Reset()
{
    elapsedTime_ = 0.0;
}